// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers'])

.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }
  });
})

.config(function($stateProvider, $urlRouterProvider) {
  $stateProvider

  .state('app', {
    url: "/app",
    abstract: true,
    templateUrl: "templates/menu.html",
    controller: 'AppCtrl'
  })

  .state('app.home', {
    url: "/home",
    views: {
      'menuContent': {
        templateUrl: "templates/home.html"
      }
    }
  })

  .state('app.formatie', {
    url: "/formatie",
    views: {
      'menuContent': {
        templateUrl: "templates/formatie.html"
      }
    }
  })

  .state('app.specialisten', {
    url: "/specialisten",
    views: {
      'menuContent': {
        templateUrl: "templates/specialisten.html"
      }
    }
  })

  .state('app.speelstijl', {
    url: "/speelstijl",
    views: {
      'menuContent': {
        templateUrl: "templates/speelstijl.html"
      }
    }
  })

  .state('app.tactiek', {
    url: "/tactiek",
    views: {
      'menuContent': {
        templateUrl: "templates/tactiek.html"
      }
    }
  })

  .state('app.dekking', {
    url: "/dekking",
    views: {
      'menuContent': {
        templateUrl: "templates/dekking.html"
      }
    }
  })

  .state('app.mentaliteit', {
    url: "/mentaliteit",
    views: {
      'menuContent': {
        templateUrl: "templates/mentaliteit.html"
      }
    }
  })

  .state('app.baltempo', {
    url: "/baltempo",
    views: {
      'menuContent': {
        templateUrl: "templates/baltempo.html"
      }
    }
  })

  .state('app.pressie', {
    url: "/pressie",
    views: {
      'menuContent': {
        templateUrl: "templates/pressie.html"
      }
    }
  });
  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/app/home');
});
